### Hierarchy

- DocumentService

### Implements

- OnDestroy

## Index

### Properties

- documentRef
- globalEvents
- subscriptions

### Methods

- handleClick
- handleEvent
- ngOnDestroy

## Properties

### Protected documentRef

documentRef: Document = document

- Defined in src/utils/document.service.ts:10

### Protected globalEvents

globalEvents: Map<string, Observable<Event>> = new Map<string, Observable<Event>>()

- Defined in src/utils/document.service.ts:8

### Protected subscriptions

subscriptions: Subscription = new Subscription()

- Defined in src/utils/document.service.ts:12

## Methods

### handleClick

- handleClick(callback: EventHandler): void

- - Defined in src/utils/document.service.ts:26

  #### Parameters

  - ##### callback: EventHandler

  #### Returns void

### handleEvent

- handleEvent(eventType: string, callback: EventHandler): void

- - Defined in src/utils/document.service.ts:14

  #### Parameters

  - ##### eventType: string

  - ##### callback: EventHandler

  #### Returns void

### ngOnDestroy

- ngOnDestroy(): void

- - Defined in src/utils/document.service.ts:30

  #### Returns void

Generated using TypeDoc